import java.io.*;

class f3 extends fi_x
{
 double[] func(double x)
 { double f[]=new double[2];	 
   f[0]=x*Math.sin(10.0*Math.PI*x)+1.0;
   f[1]=x*x;
   return f;}
}

class PlotT03
{public static void main (String args[]) throws IOException
  { Plot.func(new f3(),-4.0,4.0,400,2);}}
